> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipstake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List media currently under tracking



## OpenAPI

````yaml /openapi.json get /submissions
openapi: 3.1.0
info:
  title: Pulse API
  description: Instagram media tracking, audience geography and demographics, as an API.
  version: 0.0.0
servers:
  - url: https://api.clipstake.com/v1
security: []
paths:
  /submissions:
    get:
      tags:
        - Submissions
      summary: List media currently under tracking
      operationId: submissions-list
      parameters:
        - in: query
          name: project_id
          schema:
            type: string
            minLength: 1
            maxLength: 36
          required: true
        - in: query
          name: limit
          schema:
            default: 25
            type: integer
            minimum: 1
            maximum: 100
        - in: query
          name: cursor
          schema:
            type: string
        - in: query
          name: status
          schema:
            type: string
            enum:
              - active
              - paused
              - unavailable
              - parked
              - stopped
        - in: query
          name: external_user_id
          schema:
            type: string
        - in: query
          name: username
          schema:
            type: string
            minLength: 1
            maxLength: 255
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        username:
                          type: string
                        external_user_id:
                          type: string
                        media_id:
                          type: string
                        shortcode:
                          type: string
                        media_product_type:
                          type:
                            - string
                            - 'null'
                        posted_at:
                          anyOf:
                            - type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - active
                            - paused
                            - unavailable
                            - parked
                            - stopped
                        next_read_at:
                          anyOf:
                            - type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                            - type: 'null'
                        unavailable_reason:
                          type:
                            - string
                            - 'null'
                        parked_reason:
                          type:
                            - string
                            - 'null'
                        latest:
                          type: object
                          properties:
                            views:
                              anyOf:
                                - type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                - type: 'null'
                            reach:
                              anyOf:
                                - type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                - type: 'null'
                            likes:
                              anyOf:
                                - type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                - type: 'null'
                            comments:
                              anyOf:
                                - type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                - type: 'null'
                            shares:
                              anyOf:
                                - type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                - type: 'null'
                            saves:
                              anyOf:
                                - type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                - type: 'null'
                            total_interactions:
                              anyOf:
                                - type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                - type: 'null'
                          required:
                            - views
                            - reach
                            - likes
                            - comments
                            - shares
                            - saves
                            - total_interactions
                          additionalProperties: false
                        latest_captured_at:
                          anyOf:
                            - type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                            - type: 'null'
                        created_at:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                        demographics:
                          type: object
                          properties:
                            availability:
                              type: string
                              enum:
                                - not_tracked
                                - pending
                                - unavailable
                                - available
                            window_start:
                              anyOf:
                                - type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                                - type: 'null'
                            window_end:
                              anyOf:
                                - type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                                - type: 'null'
                            snapshot_count:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            countries:
                              type: array
                              items:
                                type: object
                                properties:
                                  bucket:
                                    type: string
                                  share_bps:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                required:
                                  - bucket
                                  - share_bps
                                additionalProperties: false
                            age:
                              type: array
                              items:
                                type: object
                                properties:
                                  bucket:
                                    type: string
                                  share_bps:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                required:
                                  - bucket
                                  - share_bps
                                additionalProperties: false
                            gender:
                              type: array
                              items:
                                type: object
                                properties:
                                  bucket:
                                    type: string
                                  share_bps:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                required:
                                  - bucket
                                  - share_bps
                                additionalProperties: false
                          required:
                            - availability
                            - window_start
                            - window_end
                            - snapshot_count
                            - countries
                            - age
                            - gender
                          additionalProperties: false
                      required:
                        - username
                        - external_user_id
                        - media_id
                        - shortcode
                        - media_product_type
                        - posted_at
                        - status
                        - next_read_at
                        - unavailable_reason
                        - parked_reason
                        - created_at
                      additionalProperties: false
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - data
                  - next_cursor
                additionalProperties: false
              example:
                data:
                  - username: acme.studio
                    external_user_id: customer_8f3a2c19
                    media_id: '18062712345678901'
                    shortcode: C9x4AbCdEfG
                    media_product_type: REELS
                    posted_at: '2026-09-10T14:22:00.000Z'
                    status: active
                    next_read_at: '2026-09-14T14:00:00.000Z'
                    unavailable_reason: null
                    parked_reason: null
                    latest:
                      views: 128450
                      reach: 96720
                      likes: 8140
                      comments: 326
                      shares: 1190
                      saves: 2480
                      total_interactions: 12136
                    latest_captured_at: '2026-09-14T10:00:00.000Z'
                    created_at: '2026-09-10T14:25:43.000Z'
                    demographics:
                      availability: available
                      window_start: '2026-09-10T18:00:00.000Z'
                      window_end: '2026-09-14T18:00:00.000Z'
                      snapshot_count: 5
                      countries:
                        - bucket: US
                          share_bps: 3420
                        - bucket: GB
                          share_bps: 1280
                        - bucket: CA
                          share_bps: 940
                        - bucket: AU
                          share_bps: 610
                      age:
                        - bucket: 25-34
                          share_bps: 4120
                        - bucket: 18-24
                          share_bps: 3180
                        - bucket: 35-44
                          share_bps: 1460
                      gender:
                        - bucket: F
                          share_bps: 5480
                        - bucket: M
                          share_bps: 4380
                        - bucket: U
                          share_bps: 140
                  - username: acme.studio
                    external_user_id: customer_8f3a2c19
                    media_id: '18062712345678902'
                    shortcode: C9y7HiJkLmN
                    media_product_type: REELS
                    posted_at: '2026-09-11T09:05:00.000Z'
                    status: parked
                    next_read_at: null
                    unavailable_reason: null
                    parked_reason: token_invalid
                    latest:
                      views: 128450
                      reach: 96720
                      likes: 8140
                      comments: 326
                      shares: 1190
                      saves: 2480
                      total_interactions: 12136
                    latest_captured_at: '2026-09-14T10:00:00.000Z'
                    created_at: '2026-09-11T09:12:30.000Z'
                    demographics:
                      availability: available
                      window_start: '2026-09-10T18:00:00.000Z'
                      window_end: '2026-09-14T18:00:00.000Z'
                      snapshot_count: 5
                      countries:
                        - bucket: US
                          share_bps: 3420
                        - bucket: GB
                          share_bps: 1280
                        - bucket: CA
                          share_bps: 940
                        - bucket: AU
                          share_bps: 610
                      age:
                        - bucket: 25-34
                          share_bps: 4120
                        - bucket: 18-24
                          share_bps: 3180
                        - bucket: 35-44
                          share_bps: 1460
                      gender:
                        - bucket: F
                          share_bps: 5480
                        - bucket: M
                          share_bps: 4380
                        - bucket: U
                          share_bps: 140
                next_cursor: null
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
              example:
                error:
                  code: invalid_request
                  message: The request body or parameters are invalid.
                  request_id: req_01K5A7N8QY2M4C6V9X3J
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
              example:
                error:
                  code: unauthorized
                  message: Provide a valid API key.
                  request_id: req_01K5A7P2CH8T6R4W9M1B
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
              example:
                error:
                  code: not_found
                  message: The requested resource was not found.
                  request_id: req_01K5A7R4WM9C2N6B8X3D
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
              example:
                error:
                  code: internal_error
                  message: An unexpected error occurred.
                  request_id: req_01K5A7S6FQ3V8H2N9C4M
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Bad request
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Bad request error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Bad request
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Unauthorized
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Unauthorized error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Unauthorized
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````